# Organization applications

## /organizationApplications.get

<mark style="color:blue;">`GET`</mark> `https://admin-api.imid.infomaker.io/v1/organizationApplications.get`

Get organization application

#### Query Parameters

| Name                      | Type   | Description                 |
| ------------------------- | ------ | --------------------------- |
| organizationApplicationId | string | Organization application ID |

{% tabs %}
{% tab title="200 Successful" %}

```javascript
{
  "id": "Organization application ID",
  "organizationId": "Organization id",
  "name": "my-organization-application",
  "description": "Description of speicific part xxx"
}
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
"errors.api.BadRequestError"
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
"errors.api.InternalServerError"
```

{% endtab %}
{% endtabs %}

## /organizationApplications.list

<mark style="color:blue;">`GET`</mark> `https://admin-api.imid.infomaker.io/v1/organizationApplications.list`

List organization applications

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 Successful" %}

```javascript
[
  {
    "id": "Organization application ID",
    "organizationId": "Organization id",
    "name": "my-organization-application",
    "description": "Description of speicific part xxx"
  }
]
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
"errors.api.BadRequestError"
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
"errors.api.InternalServerError"
```

{% endtab %}
{% endtabs %}

## /organizationApplications.create

<mark style="color:green;">`POST`</mark> `https://admin-api.imid.infomaker.io/v1/organizationApplications.create`

Create organization application

#### Request Body

| Name           | Type   | Description                       |
| -------------- | ------ | --------------------------------- |
| organizationId | string | Organization id                   |
| name           | string | Organization application name     |
| description    | string | Description of speicific part xxx |
| groups         | array  | undefined                         |

{% tabs %}
{% tab title="200 Successful" %}

```javascript
{
  "id": "Organization application ID",
  "organizationId": "Organization id",
  "name": "my-organization-application",
  "description": "Description of speicific part xxx"
}
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
"errors.api.BadRequestError"
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
"errors.api.InternalServerError"
```

{% endtab %}
{% endtabs %}

## /organizationApplications.createCredential

<mark style="color:green;">`POST`</mark> `https://admin-api.imid.infomaker.io/v1/organizationApplications.createCredential`

Create organization application credentials

#### Request Body

| Name                      | Type   | Description                 |
| ------------------------- | ------ | --------------------------- |
| organizationApplicationId | string | Organization application ID |

{% tabs %}
{% tab title="200 Successful" %}

```javascript
{
  "id": "Organization application credential ID",
  "clientSecret": "xxxxxx",
  "sanitizedClientSecret": "x*****x"
}
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
"errors.api.BadRequestError"
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
"errors.api.InternalServerError"
```

{% endtab %}
{% endtabs %}

## /organizationApplications.delete

<mark style="color:green;">`POST`</mark> `https://admin-api.imid.infomaker.io/v1/organizationApplications.delete`

Delete organization application

#### Request Body

| Name                      | Type   | Description                 |
| ------------------------- | ------ | --------------------------- |
| organizationApplicationId | string | Organization application ID |

{% tabs %}
{% tab title="204 No Content" %}

```javascript
""
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
"errors.api.BadRequestError"
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
"errors.api.InternalServerError"
```

{% endtab %}
{% endtabs %}

## /organizationApplications.deleteCredential

<mark style="color:green;">`POST`</mark> `https://admin-api.imid.infomaker.io/v1/organizationApplications.deleteCredential`

Delete organization application credential

#### Request Body

| Name                           | Type   | Description                            |
| ------------------------------ | ------ | -------------------------------------- |
| organizationApplicationId      | string | Organization application ID            |
| organizationClientCredentialId | string | Organization application credential ID |

{% tabs %}
{% tab title="204 No Content" %}

```javascript
""
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
"errors.api.BadRequestError"
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
"errors.api.InternalServerError"
```

{% endtab %}
{% endtabs %}

## /organizationApplications.modify

<mark style="color:green;">`POST`</mark> `https://admin-api.imid.infomaker.io/v1/organizationApplications.modify`

Modify organization application

#### Request Body

| Name                      | Type   | Description                       |
| ------------------------- | ------ | --------------------------------- |
| organizationApplicationId | string | Organization application ID       |
| name                      | string | Organization application name     |
| description               | string | Description of speicific part xxx |
| groups                    | array  | undefined                         |

{% tabs %}
{% tab title="200 Successful" %}

```javascript
{
  "id": "Organization application ID",
  "organizationId": "Organization id",
  "name": "my-organization-application",
  "description": "Description of speicific part xxx"
}
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
"errors.api.BadRequestError"
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
"errors.api.InternalServerError"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/navigaid/services/admin-api/routes/organization-applications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
